---
title: Get
url: https://www.tines.com/stories/docs/api/cases/case_inputs/get/
updated: 2026-07-17T09:54:14+00:00
description: "A field is the team-level definition of a case field — its type, validation, and any group it belongs to. Fields are referred to as `case_inputs` in API endpoint paths and response keys. See [Case fields](https://www.tines.com/docs/cases/case-fields) in the Tines docs to learn more."
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/stories/docs/llms.txt) › [Tines API](https://www.tines.com/stories/docs/api/llms.txt) › [Cases](https://www.tines.com/llm/stories/docs/api/cases.md) › [Fields](https://www.tines.com/llm/stories/docs/api/cases/case_inputs.md)*

# Get

*[View on tines.com](https://www.tines.com/stories/docs/api/cases/case_inputs/get/)*

## Description

A field is the team-level definition of a case field — its type, validation, and any group it belongs to. Fields are referred to as `case_inputs` in API endpoint paths and response keys. See [Case fields](https://www.tines.com/docs/cases/case-fields) in the Tines docs to learn more.

Returns a field.

## Request

HTTP Method: **GET**

| Query Parameter | Description                      |
| --------------- | -------------------------------- |
| case_input_id   | The ID of the field to retrieve. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/case_inputs/<<case_input_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful response will return a JSON object representing the specified field.

### Field description

| Parameter             | Description                                                                                                               |
| --------------------- | ------------------------------------------------------------------------------------------------------------------------- |
| id                    | The field ID.                                                                                                             |
| name                  | The name of the field.                                                                                                    |
| key                   | The lookup key of the field.                                                                                              |
| input_type            | The type of the field.                                                                                                    |
| sensitive             | A boolean (`true` or `false`) indicating whether the sensitive field permission is required to read or write this field.  |
| validation_type       | The validation type of the field. One of `none`, `options`, or `regex`.                                                   |
| validation_options    | An object containing validation configuration. For `options` type, contains an `options` array of accepted string values. |
| team                  | An object containing the ID and name of the team the field belongs to.                                                    |
| team_case_input_group | An object containing the name of the group the field belongs to, if any.                                                  |
| created_at            | An ISO 8601 timestamp representing when the field was created.                                                            |
| updated_at            | An ISO 8601 timestamp representing when the field was last updated.                                                       |

### Sample response

```json
{
  "case_input": {
    "id": 19990840,
    "name": "Priority",
    "key": "priority",
    "input_type": "string",
    "sensitive": false,
    "validation_type": "options",
    "validation_options": {
      "options": ["low", "medium", "high", "critical"]
    },
    "team": {
      "id": 1,
      "name": "Engineering Team"
    },
    "created_at": "2022-06-24T08:35:21Z",
    "updated_at": "2022-06-24T08:35:21Z"
  }
}
```
